Skip to content
brain.GitHub
Developer docs OPEN SOURCE
HTTP APIEndpoints

Read synchronization status

GET
/sessions/{id}/sync

Returns the latest published checkpoint, pending upload state, and any sync error for the session. Requires configured persistence.

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

id*string

Opaque session ID.

Match^[a-fA-F0-9]{32}$

Response Body

Read synchronization status

application/json
  1. response
checkpoint?string
error?string
history_bytes*integer
native_checkpoint?string
pending*boolean
resume_offset*integer
time?string
Formatdate-time
curl -X GET 'http://127.0.0.1:8080/sessions/string/sync' \  -H 'Authorization: Bearer <BRAIN_TOKEN>'
{  "checkpoint": "string",  "error": "string",  "history_bytes": 0,  "native_checkpoint": "string",  "pending": true,  "resume_offset": 0,  "time": "2019-08-24T14:15:22Z"}